@import '../../theme/sizing';
@import '../../theme/palette';
@import '../../theme/typography';

.footer-section {
  background-color:   $color_black;
  padding: 100px 5%;
}

.footer-title {
  @include subheader($color_yellow);
  text-align: center;
  margin: 0 0 15px;
}

.footer-text {
  @include text($color_light-gray);
  text-align: center;
  margin: 0 auto 50px;
  max-width: 600px;
}

.footer-email-form {
  margin: 0 auto 80px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 630px;

  @media #{$size_query-l} {
    justify-content: space-between;
  }
}

.footer-email-input {
  width: 280px;
  box-sizing: border-box;
  padding: 10px 20px;
  border-radius: 5px;
  border: none;

  &::placeholder {
    text-align: center;
  }

  @media #{$size_query-m} {
    width: 360px;

    &::placeholder {
      text-align: left;
    }
  }

  @media #{$size_query-l} {
    width: 500px;
  }
}

.footer-email-submit {
  width: 280px;
  margin-top: 10px;
  padding: 10px;
  border-radius: 5px;
  background-color: $color_yellow;
  text-transform: uppercase;
  border: none;
  font-weight: bold;

  @media #{$size_query-l} {
    width: 120px;
    margin-top: 0;
  }
}

.footer-social-buttons-container {
text-align: center;
}

.footer-social-button {
  fill: $color_yellow;
  width: 36px;
  height: 36px;
  margin: 0 15px;
  padding: 2px;
  border-radius: 10px;

  &:hover {
    box-shadow: 0 0 0 2pt #FCDB00;
  }
}